using System;
using System.Text;
using DevExpress.XtraEditors;

namespace DeviceRepairAndOptimization.Pages
{
    public partial class page_XtraFormLog : XtraForm
    {
        private StringBuilder Logs;

        public page_XtraFormLog(string Caption, StringBuilder Content)
        {
            InitializeComponent();
            this.Text = Caption;
            this.Logs = Content;
        }

        private void page_XtraFormLog_Load(object sender, EventArgs e)
        {
            this.listBoxControl1.Items.AddRange(Logs.ToString().Split(new[] { '\n', '\r' }, StringSplitOptions.RemoveEmptyEntries));
        }
    }
}